NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.Tooling.MotionSimulationBuilder Class Reference

Represents a NXOpen.Tooling.MotionSimulationBuilder to support dynamic interference check. More...

Inheritance diagram for NXOpen.Tooling.MotionSimulationBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  Types { AddKinematicModel, MountComponent }
 Specifies the operation options of motion simulation. More...
 
enum  MoldbaseStyleType { Two, Three }
 Specifies the style type of moldbase, two-plate style or three-plate style More...
 
enum  EjectorMoveOptions { After, While }
 Specifies the ejector move type, after or while More...
 
enum  CamDefinitionType { AutomaticalDefinedCam, UserDefinedCam }
 Specifies the way to define cam, automatically or manually. More...
 

Properties

unsafe
NXOpen.Tooling.MotionSimulationBuilder.CamDefinitionType 
CamDefinitionMethod [get, set]
 Returns or sets the cam definition method, automatically or manually. More...
 
unsafe NXOpen.SelectBodyList Component [get]
 Returns the component to assign die components mounted to a kinematic component. More...
 
unsafe string ControlDataFile [get, set]
 Returns or sets the constrol data to import to kinematic model More...
 
unsafe NXOpen.Expression CrankRadius [get]
 Returns the crank radius to calculate controller data. More...
 
unsafe bool CsysVisibility [get, set]
 Returns or sets the csys visibility to specify if hide csys in kinematic model More...
 
unsafe NXOpen.Expression DiePitch [get]
 Returns the die pitch to calculate controller data. More...
 
unsafe NXOpen.Expression DiePitch02 [get]
 Returns the die pitch value for second strip, it's used to calculate controller data. More...
 
unsafe double EjectionStartAngle [get, set]
 Returns or sets the hydraulic motion angle More...
 
unsafe
NXOpen.Tooling.MotionSimulationBuilder.EjectorMoveOptions 
EjectorMoveOption [get, set]
 Returns or sets the ejector move option More...
 
unsafe string ExportControlData [get, set]
 Returns or sets the export file of kinematic model control data More...
 
unsafe bool HideMotionItem [get, set]
 Returns or sets the hide motion item toggle, which specifies whether to remove the motion item from the tree list if there is no mounted component in it More...
 
unsafe bool IncludeBlank [get, set]
 Returns or sets the include blank flag to specify if blanked bodies need to be mounted to kinematic model More...
 
unsafe NXOpen.SelectBody KinematicModel [get]
 Returns the kinematic model to specify whose parameters need to be modified. More...
 
unsafe NXOpen.Expression LiftHeight [get]
 Returns the lift height to calculate controller data. More...
 
unsafe NXOpen.Expression LiftHeight02 [get]
 Returns the lift height for second strip, it's used to calculate controller data. More...
 
unsafe NXOpen.Expression MachineStroke [get]
 Returns the machine stroke to calculate controller data. More...
 
unsafe double MoldOpenAngle [get, set]
 Returns or sets the hydraulic motion option More...
 
unsafe
NXOpen.Tooling.MotionSimulationBuilder.MoldbaseStyleType 
MoldbaseStyle [get, set]
 Returns or sets the moldbase style to control the visibility of process parameters for mold More...
 
unsafe bool RelativeMotion [get, set]
 Returns or sets the hide motion item toggle, which specifies whether to remove the motion item from the tree list if there is no mounted component in it More...
 
unsafe bool RenameComponents [get, set]
 Returns or sets the rename kinematic model components. More...
 
unsafe string RenameRule [get, set]
 Returns or sets the renaming rule to clone kinematic model. More...
 
unsafe NXOpen.Expression StripTravel [get]
 Returns the strip travel to calculate controller data. More...
 
unsafe NXOpen.Direction StripVector [get, set]
 Returns or sets the strip feeding direction More...
 
unsafe NXOpen.Expression StrokeAngleStep [get]
 Returns the stroke angle step to calculate controller data. More...
 
unsafe double StrokePerMinute [get, set]
 Returns or sets the stroke per minute More...
 
unsafe string TargetDirectory [get, set]
 Returns or sets the target directory to save cloned kinematic model. More...
 
unsafe NXOpen.Expression TransferEndAngle [get]
 Returns the angle to specify when transfer stops moving. More...
 
unsafe NXOpen.Expression TransferStartAngle [get]
 Returns the angle to specify when transfer starts moving. More...
 
unsafe
NXOpen.Tooling.MotionSimulationBuilder.Types 
Type [get, set]
 Returns or sets the type to specify which operation of motion simulation takes effect. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a NXOpen.Tooling.MotionSimulationBuilder to support dynamic interference check.

To create a new instance of this class, use NXOpen.Tooling.MotionSimulationCollection.CreateMotionSimulationBuilder

Default values.

Property Value

CamDefinitionMethod (deprecated)

AutomaticalDefinedCam

CrankRadius.Value

0

CsysVisibility

0

DiePitch.Value

0

DiePitch02.Value

10.0 (millimeters part), 1.0 (inches part)

EjectionStartAngle

0

EjectorMoveOption

After

HideMotionItem

0

IncludeBlank

0

LiftHeight.Value

0

LiftHeight02.Value

10.0 (millimeters part), 1.0 (inches part)

MachineStroke.Value

0

MoldOpenAngle

0

RelativeMotion

0

RenameComponents

0

StripTravel.Value

0

StrokeAngleStep.Value

1

StrokePerMinute

0

TransferEndAngle.Value

250

TransferStartAngle.Value

110

Created in NX7.5.0

Member Enumeration Documentation

Specifies the way to define cam, automatically or manually.

Enumerator
AutomaticalDefinedCam 

Defines cam automatically

UserDefinedCam 

Defines cam interactively

Specifies the ejector move type, after or while

Enumerator
After 

Eject product after mold fully opened

While 

Eject product while mold opening

Specifies the style type of moldbase, two-plate style or three-plate style

Enumerator
Two 

Specifies two-plate style moldbase

Three 

Specifies three-plate style moldbase

Specifies the operation options of motion simulation.

Enumerator
AddKinematicModel 

Adds kinematic model

MountComponent 

Mounts die components to kinematic components

Property Documentation

unsafe NXOpen.Tooling.MotionSimulationBuilder.CamDefinitionType NXOpen.Tooling.MotionSimulationBuilder.CamDefinitionMethod
getset

Returns or sets the cam definition method, automatically or manually.

Created in NX7.5.0

Deprecated in NX10.0.0. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectBodyList NXOpen.Tooling.MotionSimulationBuilder.Component
get

Returns the component to assign die components mounted to a kinematic component.

Created in NX7.5.0

License requirements: None.

unsafe string NXOpen.Tooling.MotionSimulationBuilder.ControlDataFile
getset

Returns or sets the constrol data to import to kinematic model

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.MotionSimulationBuilder.CrankRadius
get

Returns the crank radius to calculate controller data.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Tooling.MotionSimulationBuilder.CsysVisibility
getset

Returns or sets the csys visibility to specify if hide csys in kinematic model

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.MotionSimulationBuilder.DiePitch
get

Returns the die pitch to calculate controller data.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.MotionSimulationBuilder.DiePitch02
get

Returns the die pitch value for second strip, it's used to calculate controller data.

Created in NX10.0.0

License requirements: None.

unsafe double NXOpen.Tooling.MotionSimulationBuilder.EjectionStartAngle
getset

Returns or sets the hydraulic motion angle

Created in NX10.0.3

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.MotionSimulationBuilder.EjectorMoveOptions NXOpen.Tooling.MotionSimulationBuilder.EjectorMoveOption
getset

Returns or sets the ejector move option

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.MotionSimulationBuilder.ExportControlData
getset

Returns or sets the export file of kinematic model control data

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.MotionSimulationBuilder.HideMotionItem
getset

Returns or sets the hide motion item toggle, which specifies whether to remove the motion item from the tree list if there is no mounted component in it

Created in NX10.0.3

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.MotionSimulationBuilder.IncludeBlank
getset

Returns or sets the include blank flag to specify if blanked bodies need to be mounted to kinematic model

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectBody NXOpen.Tooling.MotionSimulationBuilder.KinematicModel
get

Returns the kinematic model to specify whose parameters need to be modified.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.MotionSimulationBuilder.LiftHeight
get

Returns the lift height to calculate controller data.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.MotionSimulationBuilder.LiftHeight02
get

Returns the lift height for second strip, it's used to calculate controller data.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.MotionSimulationBuilder.MachineStroke
get

Returns the machine stroke to calculate controller data.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Tooling.MotionSimulationBuilder.MoldbaseStyleType NXOpen.Tooling.MotionSimulationBuilder.MoldbaseStyle
getset

Returns or sets the moldbase style to control the visibility of process parameters for mold

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.MotionSimulationBuilder.MoldOpenAngle
getset

Returns or sets the hydraulic motion option

Created in NX10.0.3

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.MotionSimulationBuilder.RelativeMotion
getset

Returns or sets the hide motion item toggle, which specifies whether to remove the motion item from the tree list if there is no mounted component in it

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.MotionSimulationBuilder.RenameComponents
getset

Returns or sets the rename kinematic model components.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.MotionSimulationBuilder.RenameRule
getset

Returns or sets the renaming rule to clone kinematic model.

Created in NX7.5.0

Deprecated in NX10.0.0. This functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.MotionSimulationBuilder.StripTravel
get

Returns the strip travel to calculate controller data.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.MotionSimulationBuilder.StripVector
getset

Returns or sets the strip feeding direction

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.MotionSimulationBuilder.StrokeAngleStep
get

Returns the stroke angle step to calculate controller data.

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Tooling.MotionSimulationBuilder.StrokePerMinute
getset

Returns or sets the stroke per minute

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.MotionSimulationBuilder.TargetDirectory
getset

Returns or sets the target directory to save cloned kinematic model.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.MotionSimulationBuilder.TransferEndAngle
get

Returns the angle to specify when transfer stops moving.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.MotionSimulationBuilder.TransferStartAngle
get

Returns the angle to specify when transfer starts moving.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Tooling.MotionSimulationBuilder.Types NXOpen.Tooling.MotionSimulationBuilder.Type
getset

Returns or sets the type to specify which operation of motion simulation takes effect.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.